import './page/sw-order-detail';
import './view/sw-order-detail-saferpay';
import './page/sw-settings-payment-detail';
import './module/saferpay-shopware-admin';
import './module/saferpay-shopware-admin/page/saferpay-shopware-logs-list';

// Here you create your new route, refer to the mentioned guide for more information
Shopware.Module.register('sw-order-detail-saferpay-tab', {
    routeMiddleware(next, currentRoute) {
        const saferpayRouteName = 'sw.order.detail.saferpay';
    
        if (
            currentRoute.name === 'sw.order.detail' 
            && currentRoute.children.every((currentRoute) => currentRoute.name !== saferpayRouteName)
        ) {
            currentRoute.children.push({
                name: saferpayRouteName,
                path: '/sw/order/detail/:id/saferpay',
                component: 'sw-order-detail-saferpay',
                meta: {
                    parentPath: 'sw.order.index'
                }
            });
        }
        next(currentRoute);
    }
});