import deDE from './snippet/spsw-de-DE.json';
import enGB from './snippet/spsw-en-GB.json';

Shopware.Module.register('saferpay-shopware-logs', {
    type: 'core',
    name: 'saferpayShopwareLogs',
    title: 'Saferpay Logs',
    description: 'Saferpay Shopware Exception Logs',
    color: '#62ff80',
    icon: 'regular-server',
    snippets: {
        'de-DE':deDE,
        'en-GB': enGB
    },
    routes: {
        index: {
            component: 'saferpay-shopware-logs-list',
            path: 'list',
            meta: {
                parentPath: 'sw.settings.index.system',
                privilege: 'system.logging',
            },
        },
    },
    settingsItem: [{
        group: 'system',
        to: 'saferpay.shopware.logs.index',
        icon: 'regular-server',
        name: 'saferpay.shopware.logs'
    }]
});