import Plugin from 'src/plugin-system/plugin.class';

export default class CommonSaferpayScriptsPlugin extends Plugin {

    init() {
        if ((typeof document.getElementById('customer_selected_alias') !== 'undefined') && (document.getElementById('customer_selected_alias') != null)) {
            let selectDom = document.getElementById('customer_selected_alias');
            selectDom.value = "";
            selectDom.addEventListener('change', function () {
                let saveCardDom = document.getElementById('save_card_to_account');
                let creditCardDiv = document.getElementById('credit-card-section');
                if (this.value !== "") {
                    saveCardDom.parentElement.style = "display:none";
                    creditCardDiv.style = "display:none";
                    document.querySelector('#saferpayIframeBtn').setAttribute('data-bs-toggle', 'modal');
                } else {
                    saveCardDom.parentElement.style = "display:block";
                    creditCardDiv.style = "display:block";
                    document.querySelector('#saferpayIframeBtn').removeAttribute('data-bs-toggle', 'modal');
                }      
            });
        }
    }
}