# Saferpay Shopware

## An integration for [Shopware 6](https://github.com/shopware/platform)

=== Saferpay Payment Gateway for Shopware 6 ===
Contributors: PIT Solutions
Tags: payment, e-commerce, saferpay, gateway, postfinance, twint, applepay, googlepay, myone, ideal, diners, jcb, bancontact, unionpay, mastercard, visa, store, payment link
Shopware tested : 6.6.3
License: PIT Solutions AG SOFTWARE LICENSE AGREEMENT
License URI: https://www.webshopextension.com/en/licence-agreement

== Description ==
The Saferpay payment gateway is a simple method to integrate payment providers and payment methods with one single payment gateway.

= Payment methods =
1. ALIPAY
2. AMERICAN EXPRESS
3. APPLE PAY
4. BANCONTACT
5. CREDIT CARD
6. DINERS/DISCOVER
7. DIRECT DEBIT
8. EPS
9. PRZELEWY24
10. GOOGLE PAY
11. IDEAL
12. JCB
13. KLARNA
14. MAESTRO
15. MASTERCARD
16. MYONE
17. PAYDIREKT
18. PAYPAL
19. POST FINANCE CARD
20. POST FINANCE E FINANCE
21. TWINT
22. UNIONPAY
23. VISA
24. WL CRYPTO PAYMENTS

== Installation ==
* Download the extension
* Upload and Install the extension in Shopware Administration > Extensions > My Extensions
* Activate the installed extension
* Configure the extension with mode(test/live), saferpay api details
* Activate required payment methods in Shopware Administration > Settings > Shop > Payment Methods.
* Add required payment methods in Sales Channel, set any payment method as default payment method if required.


== Version Notice ==

= 1.0.0 =
* First version of Saferpay extension

= 2.0.0 =
* Added special flow for payment methods eps, Prezelewy24, iDEAL, Klarna, Apple Pay, Google Pay, Paydirekt, Paypal, Postfinance Card & eFinance, SEPA Direct Debit, TWINT, WL Crypto Payments
* Added transaction via interface (widget authorization) for allowed payment methods (American Express, Bancontact, Credit Card, Diners, JCB, Maestro,  Mastercard, Myone, Visa)
* Shopware 6.5.7.3 compatibility updates
* Custom table deletion on opting to delete user data while extension uninstallation
* Fixes to restrict custom fields of extension for other payment methods
* Sonarlint fixes

= 2.0.1 =
* Compatible with Shopware Version- 6.6.3
* Compatible with Saferpay JSON API Spec-Version 1.34