import AjaxSaferpayIframePlugin from './saferpay-shopware/saferpay-shopware.plugin.js';
import CommonSaferpayScriptsPlugin from './saferpay-shopware/saferpay-shopware-common.plugin.js';
import SaveCardSaferpayScriptsPlugin from './saferpay-shopware/saferpay-shopware-save-card.plugin.js';
import SaferpayFieldsCustom from './saferpay-shopware/saferpay-shopware-fields-custom.plugin.js';
import SaferpayFieldsSaveCardCustom from './saferpay-shopware/saferpay-shopware-fields-save-card-custom.plugin.js';

const PluginManager = window.PluginManager;
PluginManager.register('CommonSaferpayScriptsPlugin', CommonSaferpayScriptsPlugin, '[data-saferpay-common-plugin]');
PluginManager.register('AjaxSaferpayIframePlugin', AjaxSaferpayIframePlugin, '[data-saferpay-iframe-plugin]'); // '[data-saferpay-iframe-plugin]'

PluginManager.register('SaveCardSaferpayScriptsPlugin', SaveCardSaferpayScriptsPlugin, '[data-saferpay-save-card-plugin]');

PluginManager.register('SaferpayFieldsCustom', SaferpayFieldsCustom, '[data-saferpay-fields]');

PluginManager.register('SaferpayFieldsSaveCardCustom', SaferpayFieldsSaveCardCustom, '[data-saferpay-fields-save-card]');