import {mount} from '@vue/test-utils';
import CommonSaferpayScriptsPlugin from './src/saferpay-shopware/saferpay-shopware-common.plugin.js';

const default_flags = {
    test1: true,
    test2: false
};

describe('saferpay-shopware-common.plugin.js', () => {

    beforeEach(() => {
        CommonSaferpayScriptsPlugin.init(default_flags);
    });

    test('check the flags', () => {
        expect(CommonSaferpayScriptsPlugin.isActive('test1')).toBeTruthy();
        expect(CommonSaferpayScriptsPlugin.isActive('test2')).toBeFalsy();
        expect(CommonSaferpayScriptsPlugin.isActive('test3')).toBeFalsy();
    });
});